%define debug_package %{nil}

Name:		eternalterminal
Version:	6.0.5
Release:	1%{?dist}
Summary:	Remote Shell that survives IP roaming and disconnect

License:	ASL 2.0
URL:		https://github.com/MisterTea/EternalTerminal

Source0: https://github.com/MisterTea/EternalTerminal/archive/et-v%{version}.tar.gz

# NOTE: This requires you have installed the SCL repos for RHEL/CentOS.
# For mock chroots, it must be installed as part of the base image!
# RHEL7: rhel-server-rhscl-7-rpms
# CentOS7: centos-release-scl

BuildRequires: boost-devel
BuildRequires: cmake3
BuildRequires: gflags-devel
BuildRequires: libsodium-devel
BuildRequires: libutempter-devel
BuildRequires: ncurses-devel
BuildRequires: protobuf-compiler >= 2.5.0
BuildRequires: protobuf-devel >= 2.5.0
BuildRequires: protobuf-lite-devel >= 2.5.0
BuildRequires: systemd

%if 0%{?rhel} || 0%{?centos}
BuildRequires: devtoolset-7-gcc-c++
%global gcc /opt/rh/devtoolset-7/root/usr/bin/gcc
%global cxx /opt/rh/devtoolset-7/root/usr/bin/g++
%else
BuildRequires: gcc-c++ >= 4.9
%global gcc /usr/bin/gcc
%global cxx /usr/bin/g++
%endif

%{?systemd_requires}

%description
Remote Shell that survives IP roaming and disconnect

%prep
%autosetup -n EternalTerminal-et-v%{version}
mkdir build

%build
pushd build
CC=%{gcc} CXX=%{cxx} %cmake3 ..
CC=%{gcc} CXX=%{cxx} %make_build
popd

%install
pushd build
%make_install
popd
install -D -m 0644 systemctl/et.service %{buildroot}%{_unitdir}/et.service
install -D -m 0644 etc/et.cfg %{buildroot}%{_sysconfdir}/et.cfg
install -D -m 0644 LICENSE %{buildroot}%{_datarootdir}/licenses/%{name}-client/LICENSE
install -D -m 0644 LICENSE %{buildroot}%{_datarootdir}/licenses/%{name}-server/LICENSE

%post
/sbin/ldconfig
%systemd_post et.service

%preun
%systemd_preun et.service

%postun
/sbin/ldconfig
%systemd_postun_with_restart et.service

%package client
Summary: The Eternal Terminal client.
Obsoletes: et <= %{version}
Obsoletes: eternalterminal <= %{version}
Provides: et = %{version}
Provides: eternalterminal = %{version}
Conflicts: et <= %{version}
Conflicts: eternalterminal <= %{version}

%description client
Eternal Terminal is a TCP reconnecting secure remote shell. This package
provides the Eternal Terminal client.

%files client
%defattr(-,root,root)
%license %{_datarootdir}/licenses/%{name}-client/LICENSE
%{_bindir}/et

%package server
Summary: The Eternal Terminal server.
Obsoletes: et <= %{version}
Obsoletes: eternalterminal <= %{version}
Provides: et = %{version}
Provides: eternalterminal = %{version}
Conflicts: et <= %{version}
Conflicts: eternalterminal <= %{version}

Requires: libutempter

%description server
Eternal Terminal is a TCP reconnecting secure remote shell. This package
provides the Eternal Terminal server daemon.

%files server
%defattr(-,root,root)
%license %{_datarootdir}/licenses/%{name}-server/LICENSE
%config(noreplace) %{_sysconfdir}/et.cfg
%{_unitdir}/et.service
%{_bindir}/etserver
%{_bindir}/etterminal
%{_bindir}/htm
%{_bindir}/htmd


%changelog
* Sat Jan 19 2019 Joel Goguen <contact@jgoguen.ca> - 5.1.9-1
- Upgrade to 5.1.9
* Fri Aug 24 2018 Joel Goguen <contact@jgoguen.ca> - 5.1.0-1
- Upgrade to 5.1.0
* Fri Mar 9 2018 Joel Goguen <contact@jgoguen.ca> - 4.2.1-1
- Initial package
